POST
Create Tool

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Body

application/json

Request schema for creating a tool.

name
string
required
Maximum string length: 255
definition
HttpApiToolDefinition ┬╖ object
required

Tool definition for HTTP API tools.

description
string | null
category
string
default:http_api
icon
string | null
default:globe
Maximum string length: 50
icon_color
string | null
Maximum string length: 7

Response

Successful Response

Response schema for a tool.

id
integer
required
tool_uuid
string
required
name
string
required
description
string | null
required
category
string
required
icon
string | null
required
icon_color
string | null
required
status
string
required
definition
Definition ┬╖ object
required
created_at
string<date-time>
required
updated_at
string<date-time> | null
required
created_by
CreatedByResponse ┬╖ object | null

Response schema for the user who created a tool.